Skip to content

GET Mobile App Shield.

GET
/api/object_store/namespaces/{namespace}/stored_objects/mobile-app-shield/{name}/{version}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/object_store/namespaces/example/stored_objects/mobile-app-shield/example/example \
--header 'Authorization: <Authorization>'

GetMobileAppShield is an API to download particular version of mobile app shield.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the stored_object.

name
required
string

Name x-required Name of the stored_object.

version
required
string

Version Version of the stored_object in “v{n}-{YY}-{MM}-{DD}” formatted string, where n is version number and YY/MM/DD is year, month and date.

object_type
string

X-required Type of the stored_object.

A successful response.

Media typeapplication/json
GetObjectResponse

Response message for GetObject API.

object
bytes_value
bytes_value

Exclusive with [presigned_url string_value] Binary object contents. This will be a base64 encoded string. The client should decode it to see the actual contents of the object.

string format: byte
<= 5242880 <= 1024 characters
content_format
content_format

The optional content format associated with object.

string
<= 1024 characters
metadata
object
creation_timestamp
creation_timestamp

Creation date & time for the object

Required: YES.

string format: date-time
<= 1024 characters
description
description

Optional field, the Description for the object.

string
>= 21 characters <= 512 characters
mobile_app_shield
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile app shield release.

string
<= 32 characters
mobile_integrator
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile integrator release.

string
<= 32 characters
mobile_sdk
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
name
name

Name of the stored object

Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

Namespace of the stored object

Required: YES.

string
>= 6 characters <= 1024 characters
no_attributes
object
url
url

URL of the stored object

Required: YES.

string format: uri
<= 1024 characters
version
version

Version of the stored object

Required: YES.

string
>= 1 characters <= 1024 characters
mobile_sdk_self_serve
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
presigned_url
object
aws
object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
url
url

The URL to upload or download the resource.

string format: uri
<= 1024 characters
string_value
contents

Exclusive with [bytes_value presigned_url] String formatted contents.

string
<= 5242880 characters
Example
{
"metadata": {
"mobile_app_shield": {
"os_type": "ANDROID"
},
"mobile_integrator": {
"os_type": "ANDROID"
},
"mobile_sdk": {
"os_type": "ANDROID"
},
"mobile_sdk_self_serve": {
"os_type": "ANDROID"
}
},
"presigned_url": {
"aws": {
"method": "ANY"
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example